%define         srcdirname       src
%global         _legacy_common_support  1


Name:           wmweather
Version:        2.4.8
Release:        %mkrel 2
Summary:        A dock application which displays your current local weather conditions
License:        GPLv2
Group:          Sciences/Geosciences

URL:            https://people.debian.org/~godisch/wmweather/
Source0:        https://ftp.debian.org/debian/pool/main/w/wmweather/%{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11) 
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  xmessage

%description
Wmweather is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
your current local weather conditions. After supplying a 4-character
METAR station identifier code (most major airports have one), it shows
station ID, time of the last update, temperature, dew point, pressure,
humidity, and wind speed. The various entries can be forced to display
in a variety of different units.



%prep
%setup -q 
%autopatch -p1

%build
cd %{srcdirname}
%configure
%make_build


%install
cd %{srcdirname}
%makeinstall


%files
%doc COPYING README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/wmWeather
%{_bindir}/%{name}
%{_mandir}/man1/wmWeather.1*
%{_mandir}/man1/%{name}.1*



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.4.8-2.mga10
+ Revision: 2222575
- Mageia 10 Mass Rebuild

* Thu May 09 2024 eatdirt <eatdirt> 2.4.8-1.mga10
+ Revision: 2063207
- Update to version 2.4.8

* Thu Mar 31 2022 umeabot <umeabot> 2.4.7-5.mga9
+ Revision: 1836818
- Mageia 9 Mass Rebuild

* Wed Oct 14 2020 eatdirt <eatdirt> 2.4.7-4.mga8
+ Revision: 1635831
- Fix build

* Sat Feb 15 2020 umeabot <umeabot> 2.4.7-3.mga8
+ Revision: 1523697
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Mar 12 2019 eatdirt <eatdirt> 2.4.7-2.mga7
+ Revision: 1374659
- Fix help in wmweather.conf

* Sun Mar 10 2019 eatdirt <eatdirt> 2.4.7-1.mga7
+ Revision: 1373848
- Upgrade to version 2.4.7

* Sun Sep 23 2018 umeabot <umeabot> 2.4.6-2.mga7
+ Revision: 1301709
- Mageia 7 Mass Rebuild

* Sun May 20 2018 eatdirt <eatdirt> 2.4.6-1.mga7
+ Revision: 1230707
- Upgrade to version 2.4.6

* Wed Aug 03 2016 eatdirt <eatdirt> 2.4.5-8.mga6
+ Revision: 1044376
- Fix url change for NOAA breaking wmweather

* Mon Feb 08 2016 umeabot <umeabot> 2.4.5-7.mga6
+ Revision: 943045
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.5-6.mga5
+ Revision: 743670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.5-5.mga5
+ Revision: 690356
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.5-4.mga4
+ Revision: 520142
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4.5-3.mga3
+ Revision: 385809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 2.4.5-2.mga3
+ Revision: 315347
- Rebuild for mga3

* Tue Oct 11 2011 obgr_seneca <obgr_seneca> 2.4.5-1.mga2
+ Revision: 153846
-added xmessage as br
+ eatdirt <eatdirt>
- imported package wmweather


* Fri Oct 08 2011 Chris Ringeval <dirteat@gmail.com> 2.4.5-1.mga2
- import wmweather
